Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.view.actions
Class ViewAction

    java.lang.Object
      javax.swing.AbstractAction
          org.flexdock.view.actions.ViewAction

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

Direct Known Subclasses:
  DefaultCloseAction, DefaultDisplayAction, DefaultPinAction

    public abstract class ViewAction

extends AbstractAction

Author:
  Christopher Butler
See Also:
  Serialized Form

Field Summary
`static ViewAction` | `EMPTY_ACTION` Deprecated. unused
`protected String` | `viewId`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`ViewAction()`

Method Summary
`void` | `actionPerformed(ActionEvent e)`
`abstract void` | `actionPerformed(View view, ActionEvent evt)`
`ButtonModel` | `createButtonModel()`
`protected View` | `getView(ActionEvent evt)`
`String` | `getViewId()`
`void` | `setViewId(String viewId)`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_ACTION

    public static final ViewAction EMPTY_ACTION

  Deprecated. unused

### viewId

    protected String viewId

Constructor Detail

### ViewAction

    public ViewAction()

Method Detail

### getView

    protected View getView(ActionEvent evt)

### actionPerformed

    public void actionPerformed(ActionEvent e)

### actionPerformed

    public abstract void actionPerformed(View view,
                                         ActionEvent evt)

### createButtonModel

    public ButtonModel createButtonModel()

### getViewId

    public String getViewId()

### setViewId

    public void setViewId(String viewId)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD